*******************************************************************************
*                          680xx Grundprogramm rnd                            *
*                         (C) 1990 Ralph Dombrowski                           *
*                             2009 Jens Mewes                                 *
*                               V 7.10 Rev 4                                  *
*                                01.05.2009                                   *
*                             Zufallsgenerator                                *
*******************************************************************************



rnd:                            * Zufallszahlgenerator liefert 0...$ffff in d0.l




                                * d0.w gibt den Bereich n+1 an, damit Limit
                                * festlegbar
                                * Knudt-Algorithmus
                                * Wenn d0=0, dann maximaler Bereich verfgbar
 movem.l d1/d2,-(a7)
 move d0,d1                     * Bereich merken
 move rnd3var(a5),d2
 mulu #31413,d2
 add #27182,d2
 move d2,rnd3var(a5)
 addq #1,rnd1var(a5)
 moveq #0,d0
 move rnd2var(a5),d0
 add rnd1var(a5),d0
 divu #360,d0                   * Schneller bei groen Zahlen (sonst ADJ360)
 clr d0
 swap d0
 bsr sin
 add rnd2var(a5),d0
 rol #3,d0
 eor d1,d0
 move d0,rnd2var(a5)
 eor d2,d0                      * d0 jetzt Zufallszahl
 tst d1                         * d1 = Bereich
 beq.s rnd1                     * Null ist maximaler Bereich
 divu d1,d0                     * Teilen
 clr d0                         * Ergebnis lschen
 swap d0                        * Rest ist Ergebnis
rnd1:
 movem.l (a7)+,d1/d2
rts
