*******************************************************************************
*                         680xx Grundprogramm texte                           *
*                         (C) 1990 Ralph Dombrowski                           *
*                             2009 Jens Mewes                                 *
*                               V 7.10 Rev 4                                  *
*                                01.05.2009                                   *
*                                  Texte                                      *
*******************************************************************************


************************ Texte auer fr Editor und Assembler ******************

inttxt:                         * Falscher Interrupt
 dc.b 'INTERRUPT',0

bustxt:                         * Busfehler
 dc.b 'BUS-FEHLER',0

adrftxt:                        * Adressfehler
 dc.b 'ADRESS-FEHLER',0

illtxt:                         * Diesen Befehl gibt es nicht
 dc.b 'FALSCHER BEFEHL',0

zertxt:                         * Durch Null teilen ist nie erlaubt
 dc.b 'DIVISION DURCH NULL',0

chktxt:                         * Bei einem Check Befehl erfolgt Exception
 dc.b 'CHK-BEFEHL',0

traptxt:                        * TRAP bei berlauf
 dc.b 'TRAPV-BEFEHL',0

privtxt:                        * Dieser Befehl ist im USER-Modus nicht erlaubt
 dc.b 'PRIVILEGE-VERLETZUNG',0

linatxt:                        * Falscher Befehl mit Anfang $A
 dc.b 'BEFEHLSCODE $A EMULATOR',0

linftxt:                        * Falscher Befehl mit Anfang $F
 dc.b 'BEFEHLSCODE $F EMULATOR',0

formattxt:
 dc.b 'FALSCHES STACKFORMAT',0  *

copyr:
 dc.b 'NKC',0

copyr2:                          * Copyright
 dc.b 'Die Legende lebt!',0

copyr3:
 dc.b '                                                  ',0

copyr4:
 dc.b ' Jens Mewes',0

cpu1:
 dc.b '68008 ',0

cpu2:
 dc.b '68000 ',0

cpu4:
 dc.b '68020 ',0

menue:                          * berschrift erstes Men
 dc.b 'Grundprogramm ',0

menue23:                        * Lschen Symbole
 dc.b '1 = Lschen',10
 dc.b '    aller Symbole',0

menue31:
 dc.b '1 = Datei',10
 dc.b '2 = Editordaten',10
 dc.b '3 = Druckerdaten',0

sadadt0:
 dc.b 'Speichern Datei',0

sadadt2:
 dc.b 'Quelladresse',0

sadadt3:
 dc.b 'Sektorenanzahl',0

saeddt0:
 dc.b 'Speichern Editordaten',0

sadadt1:
saeddt1:
sadrdt1:
lodadt1:
loeddt1:
lodrdt1:
loftdt1:
deldt1:
 dc.b   'Laufwerk und Name',0

sadrdt0:
 dc.b   'Speichern Druckerdaten',0

lodadt0:
 dc.b   'Laden Datei',0

lodadt2:
 dc.b   'Zieladresse',0

loeddt0:
 dc.b   'Laden Editordaten',0

lodrdt0:
 dc.b   'Laden Druckerdaten',0

loftdt0:
 dc.b   'Laden Fontdaten',0
 
inhdt0:
 dc.b   'Inhalt DISK',0

deldt0:
 dc.b   'Datei lschen',0

kopdt0:
 dc.b   'Datei kopieren',0

rendt0:
 dc.b   'Namen ndern',0

rendt1:
 dc.b   'Alter Name',0

rendt2:
 dc.b   'Neuer Name',0

dostxt2:
 dc.b   'Datei nicht vorhanden',0

dostxt3:
 dc.b   'Neuer Name existiert schon',0

dostxt4:
 dc.b   'Laufwerke unterschiedlich',0

dostxt5:
 dc.b   'Diskette voll',0

dostxt99:
 dc.b   'Nicht genug RAM',0

dostxt:
 dc.b   'Allgemeiner Fehler',0

menue34:                        * Booten
 dc.b '1 = Floppy 1',10
 dc.b '2 = Floppy 2',10
 dc.b '3 = Floppy 3',10
 dc.b '4 = Floppy 4',10
 dc.b '5 = SCSI-Disk',10
 dc.b '6 = IDE-Disk',10
 dc.b '7 = SD-Card',0

menue34a:                       * Booten
 dc.b '1 = Floppy 1',10
 dc.b '2 = Floppy 2',10
 dc.b '3 = Floppy 3',10
 dc.b '4 = SRAMDISK',10
 dc.b '5 = SCSI-Disk',10
 dc.b '6 = IDE-Disk',10
 dc.b '7 = SD-Card',0

spmsg1:
 dc.b 'Speicher ansehen',0

spmsg2:
 dc.b 'Befehle: +  -   R  F  S   1  2   3  4',0

spmsg3:
 dc.b 'Adr. 0 1 2 3 4 5 6 7 8 9 A B C D E F Prf',0

adrmsg:
 dc.b 'Adr :',0

stmsg1:
 dc.b 'Programm starten',0

fimsg:
 dc.b 'F=Flip M=Men',0

spber1:
 dc.b 'RAM-Bereiche',0

spber2:
 dc.b 'Arbeitsbereich :',0

txtdefa:
 dc.b 'Text alt',0

txtdefn:
 dc.b 'Text neu',0

txtm2:
 dc.b 'Wirklich ?  J = Ja',0

txta1:
 dc.b 'Speicher ndern',0

txta2:
 dc.b 'CR = Weiter    - = Zurck   S = Suchen',10
 dc.b ' R = Adresse   D = Dump     F = Fllen',0

txta3:
 dc.b 'Anzahl :',0

txta4:
 dc.b 'Wert   :',0

bibotxt0:
 dc.b 'Bibliothek',0

bibotxt1:
 dc.b 'Wahl  Name      Anfang  Lnge   Relokativ',0

bibotxt2:
 dc.b '+ = Vorwrts            - = Rckwrts',10
 dc.b 'M = Ende            (A- ) = Starten',0
 ds 0

bibotxt3:
 dc.b 'Nein',0,0
 dc.b ' Ja ',0

txtp1:
 dc.b 'EPROM programmieren',0

txtp2:
 dc.b 'EPROM lesen',0

txtp3:
 dc.b 'Von      :',10
 dc.b 'Bis      :',10
 dc.b 'Nach     :',10
 dc.b 'Abstand  :',0

txtp4:
 dc.b 'Bereich ist nicht leer !!',0

txtp5:
 dc.b 'S = Starten    M = Men',0

txtp6:
 dc.b 'Programmierung luft !!',0

txtp7:
 dc.b 'EPROM-Fehler  M = Men',0

txtp8:
 dc.b 'FEHLER BEIM PRFEN !',0

txtp9:
 dc.b 'EPROM OK',0

txtpein:
 dc.b 'A = Promerl 2716  ',10
 dc.b 'B = Promerl 2732  ',10
 dc.b 'C = Promerl 2764 ',10,10
 dc.b 'D = Promers 2716  ',10
 dc.b 'E = Promers 2732  ',10
 dc.b 'F = Promers 2764 ',10,10
 dc.b 'G = Promer2 2716  ',10
 dc.b 'H = Promer2 2732  ',10
 dc.b 'I = Promer2 2764a ',10
 dc.b 'J = Promer2 2764b ',10
 dc.b 'K = Promer2 27128a',10
 dc.b 'L = Promer2 27128b',10
 dc.b 'M = Promer2 27256 ',10
 dc.b 'N = Promer2 27512 ',10
 dc.b 'O = Promer2 27010 ',10
 dc.b 10
 dc.b 'P =',10
 dc.b 10
 dc.b '    Z = Zurck',0

iomsg:
 dc.b 'IO lesen',0

io1msg:
 dc.b 'R=Adr D=Dauer S=Stop M=Men',0

iopmsg:
 dc.b 'IO setzen',0

datamsg:
 dc.b 'Data:',0

iop1msg:
 dc.b 'M = Men    R = Adr',0

tractxt0:
 dc.b 'Einzelschritt',0

tractxt1:
 dc.b 'Befehlsmglichkeiten',0

tractxt2:                       * Diese Befehle gibt es im Einzelschritt
 dc.b 'B = Bis ADRESSE / Bereich ausfhren',10
 dc.b 'C = Bildschirm lschen',10
 dc.b 'D = TRAP/JSR direkt/indirekt',10
 dc.b 'E = Bis zum nchsten RTS/RTE/RTR',10
 dc.b 'F = Flags (CCR) laden',10
 dc.b 'G = Grundprogrammroutinen aufrufen',10
 dc.b 'I = Info an/aus',10
 dc.b 'L = B/E/N/W wiederholen',10
 dc.b 'M = Zurck zum Men',10
 dc.b 'N = n Befehle ausfhren',10
 dc.b 'P = PC neu laden (Neue Adresse)',10
 dc.b 'R = Register laden (Dx,Ax  x=0-7/8)',10
 dc.b 'S = Leseseite auswhlen',10
 dc.b 'T = Tabelle der Befehle auf Drucker',10
 dc.b 'W = Weiter bis ADRESSE & MASKE = WERT',0

smentxt:
 dc.b 'A = ndern',10
 dc.b 'B = Starten',10
 dc.b 'C = Ansehen',10
 dc.b 'D = Symboltabelle',10
 dc.b 'E = Editor',10
 dc.b 'F = Assembler',10
 dc.b 'G = Bibliothek',10
 dc.b 'H = Speichern Disk',10
 dc.b 'I = Laden Disk',10
 dc.b 'J = Inhalt Disk',10
 dc.b 'K = Lschen Datei',10
 dc.b 'L = Kopieren Datei',10
 dc.b 'M = Umbenennen Datei',10
 dc.b 'N = Booten',10
 dc.b 'O = Eprom prog.',10
 dc.b 'P = Eprom lesen',10
 dc.b 'Q = Speicherbereiche',0

smentxt0:
 dc.b 'R = Druckersteuerung',10
 dc.b 'S = IO lesen',10
 dc.b 'T = IO setzen',10
 dc.b 'U = Einzelschritt',10
 dc.b 'V = System Konfig.',10
 dc.b 'W = Alter Text',10
 dc.b 'X = Neuer Text',10
 dc.b 'Y = Symbole lschen',10
 dc.b 10
 dc.b '1 = 40 Zeichen/Zeile',10
 dc.b '2 = 80 Zeichen/Zeile',10
 dc.b '3 = Debug-Info an',10
 dc.b '4 = Debug-Info aus',10
 dc.b '5 = Fehlerausgabe',10
 dc.b '6 = Ausgabe auf CRT',10
 dc.b '7 = Ausgabe auf LST',10
 dc.b '8 = Auf LST ohne LF',10
 dc.b '9 = Uhr stellen',0

smentxt1:
 dc.b 'Z = Beenden',0

smentxt2:
 dc.b ' Zeichen/Zeile    Debug-Info: aus     ',0

smentxt3:
 dc.b 'Fehlerausgabe  ',0
 dc.b 'Ausgabe auf CRT',0
 dc.b 'Ausgabe auf LST',0
 dc.b 'Auf LST ohne LF',0
 dc.b 'Ausgabe auf USR',0
 dc.b 'Ausgabe auf SER',0

smentxt4:
 dc.b 'Editanf: $          Editend: $          Symbanf: $          Symbend: $',0

systxt0:
 dc.b 'System Konfiguration',0

systxt00:
 dc.b 'Diese Funktion ist nur verfgbar,', 10
 dc.b 'wenn eine Uhr mit Dallas DS12887 IC', 10
 dc.b 'vorhanden ist!', 0

systxt1:
 dc.b 'A = DIP-Key', 10, 10
 dc.b 'B = Autoboot', 10, 10
 dc.b 'C = SER', 10, 10
 dc.b 'D = SER2 Kanal A', 10, 10
 dc.b 'E = SER2 Kanal B', 10, 10
 dc.b 'F = Bootdelay', 10, 10, 10
 dc.b 'S = Speichern und Zurck', 10, 10
 dc.b 'Z = Zurck', 0

abtdtxt0:
 dc.b 'Autoboot Delay', 0

abtdtxt1:
 dc.b 'bitte ', 0

abtdtxt2:
 dc.b 'Sekunden warten', 0

drtxt0:
 dc.b 'Druckersteuerung',0

drtxt1:                         * Befehle der Druckersteuerung
 dc.b 'A = Seitenlnge',10
 dc.b 'B = Linker Rand',10
 dc.b 'C = Druckart',10
 dc.b 'D = Schriftart',10
 dc.b 'E = Druck',10
 dc.b 'F = Langsamer Druck',10
 dc.b 'G = Fettdruck',10
 dc.b 'H = Doppeldruck',10
 dc.b 'I = Proportionaldruck',10
 dc.b 'J = Kursivdruck',10
 dc.b 'K = Papiererkennung',10
 dc.b 'L = Zeichensatz',10
 dc.b 'M = Anzahl Kopien',10
 dc.b 'N >',10
 dc.b 10
 dc.b 'O = Werte rcksetzen',10
 dc.b 'P = Werte an Drucker',10
 dc.b 'Q = Seitenvorschub',10
 dc.b 'R = Editor ausdrucken',10
 dc.b 'S = Druckerbefehle ndern',10
 dc.b '    Z = Zurck',0

drtxt2:                         * Befehle fr den Drucker
 dc.b 'A = Drucker initialisieren',10
 dc.b 'B = Linker Rand',10
 dc.b 'C = Schmaldruck',10
 dc.b 'D = Breitdruck',10
 dc.b 'E = Pica',10
 dc.b 'F = Elite',10
 dc.b 'G = Bidirektional',10
 dc.b 'H = Unidirektional',10
 dc.b 'I = Schneller Druck',10
 dc.b 'J = Langsamer Druck',10
 dc.b 'K = Fettdruck aus',10
 dc.b 'L = Fettdruck an',10
 dc.b 'M = Doppeldruck aus',10
 dc.b 'N = Doppeldruck an',10
 dc.b 'O = Proportionaldruck aus',10
 dc.b 'P = Proportionaldruck an',10
 dc.b 'Q = Kursivdruck aus',10
 dc.b 'R = Kursivdruck an',10
 dc.b 'S = Papiererkennung an',10
 dc.b 'T = Papiererkennung aus',10
 dc.b 'U = Amerikanischer Z-Satz',10
 dc.b 'V = Deutscher Zeichensatz',10
 dc.b 'W = Alle Werte rcksetzen',10
 dc.b 'Z = Zurck',0

drtxtc:
 dc.b 'Normal',0
 dc.b 'Schmal',0
 dc.b 'Breit ',0

drtxtd:
 dc.b 'Pica ',0
 dc.b 'Elite',0

drtxte:
 dc.b 'Bidirektional ',0
 dc.b 'Unidirektional',0

drtxtf:
 dc.b 'Aus',0
 dc.b 'An ',0

drtxtl:
 dc.b 'Amerikanisch',0
 dc.b 'Deutsch     ',0
 dc.b 'NDR         ',0

ds 0

